- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qdatetime.h File Reference

`#include <QtCore/qstring.h>`
`#include <QtCore/qnamespace.h>`
`#include <QtCore/qsharedpointer.h>`

Go to the source code of this file.

## Classes
class | QDate
class | QTime
class | QDateTime
## Functions
| Q_DECLARE_TYPEINFO (QDate, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QTime, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QDateTime, Q_MOVABLE_TYPE)
Q_CORE_EXPORT QDataStream & | operator<< (QDataStream &, const QDate &)
Q_CORE_EXPORT QDataStream & | operator>> (QDataStream &, QDate &)
Q_CORE_EXPORT QDataStream & | operator<< (QDataStream &, const QTime &)
Q_CORE_EXPORT QDataStream & | operator>> (QDataStream &, QTime &)
Q_CORE_EXPORT QDataStream & | operator<< (QDataStream &, const QDateTime &)
Q_CORE_EXPORT QDataStream & | operator>> (QDataStream &, QDateTime &)
Q_CORE_EXPORT QDebug | operator<< (QDebug, const QDate &)
Q_CORE_EXPORT QDebug | operator<< (QDebug, const QTime &)
Q_CORE_EXPORT QDebug | operator<< (QDebug, const QDateTime &)

## Function Documentation

Q_DECLARE_TYPEINFO | ( | QDate | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

Q_DECLARE_TYPEINFO | ( | QTime | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

Q_DECLARE_TYPEINFO | ( | QDateTime | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QDate & |
| ) |  |

Q_CORE_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QDate & |
| ) |  |

Q_CORE_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QTime & |
| ) |  |

Q_CORE_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QTime & |
| ) |  |

Q_CORE_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QDateTime & |
| ) |  |

Q_CORE_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QDateTime & |
| ) |  |

Q_CORE_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QDate & |
| ) |  |

Q_CORE_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QTime & |
| ) |  |

Q_CORE_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QDateTime & |
| ) |  |